< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package clusterworkthrottling
  Definition Classes
    hmrc
- Rate
- ServiceInstance
- ServiceInstances
- ThrottledWorkItemProcessor
- WorkThrottling

c

uk.gov.hmrc.clusterworkthrottling

# ServiceInstances 

###
Companion object ServiceInstances

#### abstract class ServiceInstances extends ReactiveRepository[ServiceInstance, BSONObjectID]

Linear Supertypes
ReactiveRepository[ServiceInstance, BSONObjectID], CurrentTime, CollectionName, MongoDb, Indexes, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServiceInstances
2. ReactiveRepository
3. CurrentTime
4. CollectionName
5. MongoDb
6. Indexes
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ServiceInstances()(implicit mongo: () ⇒ DB)

### Type Members

1.  class BulkInsertRejected extends Exception
   Definition Classes
     ReactiveRepository

### Abstract Value Members

1.  abstract def timeOutMillis: Long

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _Id: String
   Attributes
     protected
   Definition Classes
     ReactiveRepository
5.  def _id(id: BSONObjectID): JsObject
   Attributes
     protected
   Definition Classes
     ReactiveRepository
6.  def activeInstances(now: DateTime)(implicit ec: ExecutionContext): Future[Int]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def bulkInsert(entities: Seq[ServiceInstance])(implicit ec: ExecutionContext): Future[MultiBulkWriteResult]
   Definition Classes
     ReactiveRepository
9.  def cleanInactive(now: DateTime)(implicit ec: ExecutionContext): Future[Int]
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
11.  lazy val collection: JSONCollection
    Definition Classes
      ReactiveRepository
12.  val collectionName: String
    Attributes
      protected[mongo]
    Definition Classes
      ReactiveRepository → CollectionName
13.  def count(query: JsObject, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Int]
    Definition Classes
      ReactiveRepository
14.  def count(implicit ec: ExecutionContext): Future[Int]
    Definition Classes
      ReactiveRepository
15.  implicit val domainFormatImplicit: Format[ServiceInstance]
    Definition Classes
      ReactiveRepository
16.  def drop(implicit ec: ExecutionContext): Future[Boolean]
    Definition Classes
      ReactiveRepository
17.  def ensureIndexes(implicit ec: ExecutionContext): Future[Seq[Boolean]]
    Definition Classes
      ReactiveRepository
18.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
20.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
21.  def find(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[List[ServiceInstance]]
    Definition Classes
      ReactiveRepository
22.  def findAll(readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[List[ServiceInstance]]
    Definition Classes
      ReactiveRepository
23.  def findAndUpdate(query: JsObject, update: JsObject, fetchNewObject: Boolean, upsert: Boolean, sort: Option[JsObject], fields: Option[JsObject], bypassDocumentValidation: Boolean, writeConcern: WriteConcern, maxTime: Option[FiniteDuration], collation: Option[Collation], arrayFilters: Seq[JsObject])(implicit ec: ExecutionContext): Future[Result[pack.type]]
    Definition Classes
      ReactiveRepository
24.  def findById(id: BSONObjectID, readPreference: ReadPreference)(implicit ec: ExecutionContext): Future[Option[ServiceInstance]]
    Definition Classes
      ReactiveRepository
25.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  def heartbeat(now: DateTime = ...)(implicit ec: ExecutionContext): Future[Int]
28.  implicit val idFormatImplicit: Format[BSONObjectID]
    Definition Classes
      ReactiveRepository
29.  def indexes: Seq[Index]
    Definition Classes
      ServiceInstances → Indexes
30.  def insert(entity: ServiceInstance)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
31.  def instanceCount: Int
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  def keepAlive(now: DateTime)(implicit ec: ExecutionContext): Future[WriteResult]
34.  val logger: Logger
    Attributes
      protected[this]
    Definition Classes
      ReactiveRepository
35.  val message: String
    Definition Classes
      ReactiveRepository
36.  val mongo: () ⇒ DB
    Attributes
      protected[mongo]
    Definition Classes
      ReactiveRepository → MongoDb
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  def remove(query: (String, JsValueWrapper)*)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
41.  def removeAll(writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
42.  def removeById(id: BSONObjectID, writeConcern: WriteConcern)(implicit ec: ExecutionContext): Future[WriteResult]
    Definition Classes
      ReactiveRepository
43.  def reset(implicit ec: ExecutionContext): Future[WriteResult]
44.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
45.  def toString(): String
    Definition Classes
      AnyRef → Any
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
48.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
49.  def withCurrentTime[A](f: (DateTime) ⇒ A): A
    Definition Classes
      CurrentTime
50.  lazy val zone: DateTimeZone
    Attributes
      protected
    Definition Classes
      CurrentTime

### Deprecated Value Members

1.  def save(entity: ServiceInstance)(implicit ec: ExecutionContext): Future[WriteResult]
   Definition Classes
     ReactiveRepository
   Annotations
     @deprecated
   Deprecated

     (Since version 3.0.1) use ReactiveRepository#insert() instead

### Inherited from ReactiveRepository[ServiceInstance, BSONObjectID]

### Inherited from CurrentTime

### Inherited from CollectionName

### Inherited from MongoDb

### Inherited from Indexes

### Inherited from AnyRef

### Inherited from Any

### Ungrouped